Documented all exported types, functions, and interfaces
ClosedPublic

Authored by dduvall on Oct 25 2017, 1:06 AM.

Details

Maniphest Tasks
T168000: Document current Blubber types and functions
Reviewers
thcipriani
hashar
demon
Group Reviewers
Release-Engineering-Team
Commits
rGBLBR515d9f26eb61: Documented all exported types, functions, and interfaces
Patch without arc
git checkout -b D841 && curl -L https://phabricator.wikimedia.org/D841?download=true | git apply
Summary

Wrote inline documentation for all the things.

Fixes T168000

Test Plan

Execute godoc -http=:6060 and proofread all the things.

Diff Detail

Repository
rGBLBR Blubber
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
dduvall created this revision.Oct 25 2017, 1:06 AM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptOct 25 2017, 1:06 AM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
dduvall updated this revision to Diff 2222.Oct 25 2017, 1:07 AM
dduvall edited the summary of this revision. (Show Details)

Added missing task reference

dduvall updated this revision to Diff 2223.Oct 25 2017, 1:09 AM

Fixed ReadConfigFile documentation

demon accepted this revision.Oct 25 2017, 6:36 PM
This revision is now accepted and ready to land.Oct 25 2017, 6:36 PM
thcipriani accepted this revision.Oct 30 2017, 4:45 PM

Inline typo, otherwise looks good!

build/instructions.go
71–72

"directorie"

dduvall updated this revision to Diff 2296.Nov 6 2017, 5:14 PM

Fixed "directorie" typo in build/instructions.go

thcipriani accepted this revision.Nov 6 2017, 9:18 PM
thcipriani added inline comments.
main.go
2

"iterface" -> "interface"

dduvall updated this revision to Diff 2303.Nov 6 2017, 9:21 PM

Fixed typo

This revision was automatically updated to reflect the committed changes.